Problème de build package windows10-upgrade

Règles du forum
Règles du forum
* English support on www.reddit.com/r/wapt
* Le support en français se fait sur ce forum
* Merci de préfixer le titre du thread par [RESOLU] s'il est résolu.
* Préciser version de WAPT installée (1.3.9 / 1.3.13 / 1.5 )
* Préciser OS du serveur (Linux / Windows) et version (Debian Jessie/Stretch - CentOS 7 - Windows Server 2012/2016)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
fck_mly
Messages : 15
Inscription : 01 sept. 2020 - 16:28

19 juil. 2021 - 10:17

Bonjour,

Nous rencontrons un souci lors du build du dernier package tis-windows10-upgrade version 10.0.19043-76 x64 fr.
Le run du update-package fonctionne correctement soit avec l'ISO directement, soit avec le MediaTool.
Cependant, lors du lancement du build, un message d'erreur apparaît.

ERROR building c:\waptdev\tis-windows10-upgrade_10.0.19043-76_x64_windows_6.1_PROD_fr_dc010bab7796dfce298fe1bcea9ca0e1-wapt: [Errno 2] No such file or directory: 'c:\\waptdev\\tis-windows10-upgrade_10.0.19043-76_x64_windows_6.1_PROD_fr_dc010bab7796dfce298fe1bcea9ca0e1-wapt\\iso\\sources\\replacementmanifests\\microsoft-windows-appx-deployment-server\\microsoft.windows.secondarytileexperience_10.0.0.0_neutral__cw5n1h2txyewy.xml'

Le fichier existe bien mais le chemin d'accès au fichier me paraît extrêmement long (268 caractères), ce qui me fait penser qu'il n'arrive pas ouvrir ce fichier.

Quelle pourrait être la solution pour que je puisse lancer le build de ce package ?
Est-ce qu'en supprimant les anciens packages windows10-upgrade, il réduirait le nom du répertoire du package ?

En vous remerciant par avance de l'aide que vous pourrez m'apporter.
WAPT Server : 2.0 Entreprise
WAPT Agent : 2.0.0.9450
OS du serveur : Debian 10 (buster)
Machines admin/clientes : Win10 x64
fck_mly
Messages : 15
Inscription : 01 sept. 2020 - 16:28

19 juil. 2021 - 17:52

Bon, petite évolution concernant ce package windows10-upgrade version 10.0.19043-76.

Le souci était le fait que, comme dans les versions précédentes, nous faisions "télécharger et éditer". Sauf qu'aujourd'hui, cela le télécharge en gardant le préfixe "tis" au lieu de le remplacer par notre préfixe défini. Il faut donc "Importer" le package, là ça fonctionne, puis ensuite l'éditer depuis le dépôt privé...

Par contre, je rencontre un souci lors de l'upload du package sur le serveur.
J'ai une erreur à la fin de l'upload du package :

"Uploading c:\waptdev\pref-windows10-upgrade_10.0.19043-80_x64_windows_0f4137ed1502b5045d6083aa258b5c42_6.1_PROD_fr.wapt: 4325165264 / 4325165264

Done Uploading c:\waptdev\pref-windows10-upgrade_10.0.19043-80_x64_windows_0f4137ed1502b5045d6083aa258b5c42_6.1_PROD_fr.wapt
FATAL ERROR : None : None
Exit code: 3"

Auriez-vous une piste, svp ?
WAPT Server : 2.0 Entreprise
WAPT Agent : 2.0.0.9450
OS du serveur : Debian 10 (buster)
Machines admin/clientes : Win10 x64
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 656
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

20 juil. 2021 - 12:01

Bonjour fck_mly,
est ce que vous pourriez vérifier l'espace disque que vous avez sur le répertoire /var/lib/nginx. Le serveur nginx fait du buffering sur les uploads et ça pose problème si il n'y a pas assez place.
Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
fck_mly
Messages : 15
Inscription : 01 sept. 2020 - 16:28

20 juil. 2021 - 12:11

Bonjour,
voici le résultat de la commande :

Code : Tout sélectionner

Filesystem      Size  Used Avail Use% Mounted on
/dev/sda3       195G   29G  156G  16% /
Je vais tout de même supprimer les vieux packages mis à jour et ne servant plus.

Suite au lancement d'une discussion avec Gaëtan sur Discord, j'ai uploadé depuis WinSCP et c'est passé.
Mais j'ai toujours un souci pour l'affectation du package à mes machines... J'applique le package, enregistre et celui-ci n'est plus présent lorsque j'actualise les paquets nécessaires... pourtant, tout est OK niveau architecture cible et version WAPT minimum !
WAPT Server : 2.0 Entreprise
WAPT Agent : 2.0.0.9450
OS du serveur : Debian 10 (buster)
Machines admin/clientes : Win10 x64
fck_mly
Messages : 15
Inscription : 01 sept. 2020 - 16:28

20 juil. 2021 - 12:38

Petite copie d'écran pour justifier mon propos…
2021-07-20 12_32_44-Console WAPT.png
2021-07-20 12_32_44-Console WAPT.png (101.45 Kio) Consulté 231 fois
WAPT Server : 2.0 Entreprise
WAPT Agent : 2.0.0.9450
OS du serveur : Debian 10 (buster)
Machines admin/clientes : Win10 x64
fck_mly
Messages : 15
Inscription : 01 sept. 2020 - 16:28

21 juil. 2021 - 14:44

Any idea ? :?
WAPT Server : 2.0 Entreprise
WAPT Agent : 2.0.0.9450
OS du serveur : Debian 10 (buster)
Machines admin/clientes : Win10 x64
fck_mly
Messages : 15
Inscription : 01 sept. 2020 - 16:28

22 juil. 2021 - 12:05

J'essaie d'avancer petit à petit sur mon incident.
J'ai réessayé à plusieurs reprises, en synchronisant, rebootant les repos mais problème toujours présent.

J'ai alors voulu tenter l'installation via le self service sur la machine et là : Bingo, ça a fonctionné sans problème. Donc, je ne suis pas expert mais je me dis que le package est bon.

Voici le contenu du fichier control, comme demandé par Gaëtan :

Code : Tout sélectionner

package           : alti-windows10-upgrade
version           : 10.0.19043-77
architecture      : x64
section           : base
priority          : optional
name              : Windows 10 Upgrade
categories        : System and network
maintainer        : WAPT Team,Tranquil IT,Jimmy PELÉ
description       : Upgrade to the latest version of Windows 10 from Windows 7, 8 and 10 - You must execute the "update-package" and "build-package" for every single necessary language before deploying the package
depends           : 
conflicts         : alti-windows10-upgrade-data,alti-windows10-upgrade,alti-windows10-2004-upgrade,alti-windows10-20h2-upgrade
maturity          : PROD
locale            : fr
target_os         : windows
min_wapt_version  : 1.8.2
sources           : https://www.microsoft.com/software-download/windows10
installed_size    : 25000000000
impacted_process  : SetupHost
description_fr    : Mise à niveau vers la dernière version de Windows 10 à partir de Windows 7, 8 et 10 - Vous devez exécuter le "update-package" et le "build-package" pour chaque langue nécessaire avant de déployer le paquet
description_pl    : 
description_de    : 
description_es    : 
description_pt    : 
description_it    : 
description_nl    : 
description_ru    : 
audit_schedule    : 
editor            : Microsoft
keywords          : 
licence           : Proprietary
homepage          : https://www.microsoft.com/software-download/windows10
package_uuid      : d1d2de4c-964c-4ebb-a4e0-fd077bcfed8e
valid_from        : 
valid_until       : 
forced_install_on : 
changelog         : https://docs.microsoft.com/windows/release-health/
min_os_version    : 6.1
max_os_version    : 
icon_sha256sum    : 0f0215b9e420749ac9eb93b5bf0ef17810011c14427248e1b0d72e6699279534
signer            : Altiservice
signer_fingerprint: 0da866ec9c1d100158f92dbed1c58c52477e96fdc4534fba456ad0f7f581dae2
signature         : vVM1GW1dnFnG/wuwQiyzXlKuzFHit2Z2iN67e+j17t/R7uMUsP21ZRv+On7+rF5xRe1V38silECdl5sDd99l68tKyv2CpQTo2PWKkYE3UB+FQ6XkifsRaG+5NU93P/SsVF0BSZzu82h4prjN1onkzg4jgrWW4h6Rj/kPv0ALnMHEMssW4tP/xDhQe7Qni/gIfDRPSEsCQ3BDawJ/yxftlNqAnkkbuTPrwTC7fPvhVgMKOgjJq3qRCLrjRplIbd8QJwLpRQtwpDs66M4YOAaiPlj9SzrQ2z/aa486dsMLaLfRwgz8DyshkaDsrHBmh7iTQGlodjUcDPu3ogGZewX0NA==
signature_date    : 2021-07-20T10:24:30.522030
signed_attributes : package,version,architecture,section,priority,name,categories,maintainer,description,depends,conflicts,maturity,locale,target_os,min_wapt_version,sources,installed_size,impacted_process,description_fr,description_pl,description_de,description_es,description_pt,description_it,description_nl,description_ru,audit_schedule,editor,keywords,licence,homepage,package_uuid,valid_from,valid_until,forced_install_on,changelog,min_os_version,max_os_version,icon_sha256sum,signer,signer_fingerprint,signature_date,signed_attributes
Je pourrai passer sur chaque machine et lancer l'install via le self service, mais on perd un peu l'intérêt de l'outil !!!
WAPT Server : 2.0 Entreprise
WAPT Agent : 2.0.0.9450
OS du serveur : Debian 10 (buster)
Machines admin/clientes : Win10 x64
Avatar de l’utilisateur
Gaetan
Messages : 135
Inscription : 08 août 2019 - 10:16
Localisation : Toulouse

22 juil. 2021 - 12:28

Cela ne fonctionne pas que sur les postes pointant sur un dépôt secondaire ?
fck_mly
Messages : 15
Inscription : 01 sept. 2020 - 16:28

22 juil. 2021 - 12:35

J'ai le même problème que le dépôt soit le principal ou les repos secondaires.
Les 3 secondaires que nous avons ont le statut OK, le package est bien présent sur les 3 repos, le propriétaire des packages est le compte "wapt"...
WAPT Server : 2.0 Entreprise
WAPT Agent : 2.0.0.9450
OS du serveur : Debian 10 (buster)
Machines admin/clientes : Win10 x64
Avatar de l’utilisateur
sfonteneau
Expert WAPT
Messages : 1206
Inscription : 10 juil. 2014 - 23:52
Contact :

09 août 2021 - 15:52

package : alti-windows10-upgrade
conflicts : alti-windows10-upgrade-data,alti-windows10-upgrade,alti-windows10-2004-upgrade,alti-windows10-20h2-upgrade


Problème dans le fichier control
Répondre